#include <stdio.h>
#include <stdlib.h>


#define PAGE	4096
#define	MEM	1024 * 1024 * 1024
#define PAGES	(MEM / PAGE - 1)

int main (int argc, char *argv[])
{
	int	i;
	char	*x;

	x = (char *) malloc (MEM);
	if (x == NULL) {
		fprintf(stderr, "Cannot alloc mem!\n");
		return 1;
	}

	printf("Fill %d pages...\n", PAGES);

	for (i = 0; i < PAGES; i++) {
		x[i * PAGE] = i;
	}

	return 0;
}
